Skip to content

Real-time balance query

  • Endpoint: POST /aggregate-pay/api/gateway/realTimeAccountBalanceQuery
  • Tags: Fund Account(New)

Description

Query real-time customer account balances based on merchants’ request time, account type, and currency

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesCurrent value:1.5
keyVersionstringYesCurrent value: 1
requestTimestringYescompliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesThe unique identifier assigned to the merchant app by PayerMax
memberIdstringYesthe unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYes
data.plainSignbooleanNoWhether to display accounts with a balance of 0 -true: display -false: does not display (default), filters the account directly
data.realTimeAccountBalanceQueryReqobjectYes
data.realTimeAccountBalanceQueryReq.fundsAccountCurrencyListarray[string]No3-digit currency code in accordance with ISO 4217 When no currency is specified, all accounts will return.
data.realTimeAccountBalanceQueryReq.fundsAccountNoListarray[string]NoWhen no fundsAccountNo is specified, all fundsAccountNos will return.

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2025-12-03T21:00:13.712+08:00",
  "appId": "798b79c2e33a4d8e866410bf401551a7",
  "memberId": "20250619P01B00000075000002",
  "data": {
    "plainSign": true,
    "realTimeAccountBalanceQueryReq": {
      "fundsAccountCurrencyList": [],
      "fundsAccountNoList": [
        "P25071194883"
      ]
    }
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYes‘Success.’
codestringYes‘APPLY_SUCCESS’ means success
dataobjectYes
data.accountBalanceInfoListarray[object]Yes
data.accountBalanceInfoList[].balancenumber/integerYescurrent balance
data.accountBalanceInfoList[].fundsAccountNostringYesfunds account number
data.accountBalanceInfoList[].fundsAccountCurrencystringYesthe currency under funds account number
data.inquiryTimestringYesin accordance with RFC3339 specification, format: yyyy-mm-dd’T’HH:mm:ss. SSSXXX

Response Example

json
{
  "msg": "",
  "code": "APPLY_SUCCESS",
  "data": {
    "accountBalanceInfoList": [
      {
        "balance": 733.78,
        "fundsAccountNo": "P25071194883",
        "fundsAccountCurrency": "AED"
      },
      {
        "balance": 0,
        "fundsAccountNo": "P25071194883",
        "fundsAccountCurrency": "BDT"
      },
      {
        "balance": 0,
        "fundsAccountNo": "P25071194883",
        "fundsAccountCurrency": "CNY"
      },
      {
        "balance": 0,
        "fundsAccountNo": "P25071194883",
        "fundsAccountCurrency": "HKD"
      },
      {
        "balance": 400,
        "fundsAccountNo": "P25071194883",
        "fundsAccountCurrency": "USD"
      }
    ],
    "inquiryTime": "2025-12-03T13:01:29.957Z"
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.